Skip to content

Settings

CompozyOS Settings HTTP endpoints.

For people running agent work32 pages in this section
GET
/api/mcp/oauth/callback

Query Parameters

code?string

Authorization code returned by the provider

state*string

Single-use OAuth state

error?string

OAuth error returned by the provider

Response Body

Authorization completed

response?stringtext/html
curl -X GET "https://example.com/api/mcp/oauth/callback?state=string"
"string"
POST
/api/settings/actions/restart

Response Body

Accepted

application/json
  1. response
active_session_count*integer
operation_id*string
status*string
Value in"pending""stopping""waiting_release""starting""ready""failed"
status_url*string
curl -X POST "https://example.com/api/settings/actions/restart"
{  "active_session_count": 0,  "operation_id": "string",  "status": "pending",  "status_url": "string"}
GET
/api/settings/actions/restart/{operation_id}

Path Parameters

operation_id*string

Restart operation id

Response Body

OK

application/json
  1. response
active_session_count*integer
completed_at?|
Formatdate-time
failure_reason?string
new_pid?integer
old_pid*integer
old_socket_path*string
old_started_at*string
Formatdate-time
operation_id*string
started_at*string
Formatdate-time
status*string
Value in"pending""stopping""waiting_release""starting""ready""failed"
updated_at*string
Formatdate-time
curl -X GET "https://example.com/api/settings/actions/restart/string"
{  "active_session_count": 0,  "completed_at": "2019-08-24T14:15:22Z",  "failure_reason": "string",  "new_pid": 0,  "old_pid": 0,  "old_socket_path": "string",  "old_started_at": "2019-08-24T14:15:22Z",  "operation_id": "string",  "started_at": "2019-08-24T14:15:22Z",  "status": "pending",  "updated_at": "2019-08-24T14:15:22Z"}
GET
/api/settings/apply

Query Parameters

status?string

Filter by apply status

Value in"pending_apply""applied""blocked""failed"
actor?string

Filter by config apply actor

limit?integer

Maximum number of records to return

Formatint32

Response Body

OK

application/json
  1. response
entries*array<>
curl -X GET "https://example.com/api/settings/apply"
{  "entries": [    {      "active_config_hash": "string",      "actor": "string",      "applied_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "desired_config_hash": "string",      "diagnostics": [        {          "category": "string",          "code": "string",          "data_freshness": "string",          "doc_url": "string",          "evidence": {            "property1": null,            "property2": null          },          "id": "string",          "message": "string",          "severity": "string",          "suggested_command": "string",          "title": "string"        }      ],      "diff_class": "live",      "generation": 0,      "id": "string",      "lifecycle": "live",      "next_action": "none",      "status": "pending_apply",      "updated_at": "2019-08-24T14:15:22Z",      "write_path": "string",      "write_target": "global-config"    }  ]}
GET
/api/settings/attention

Query Parameters

scope?string

Select user or profile attention mutes

Value in"user""profile"
profile?string

Select the profile whose workspace mutes are returned

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
profile?string
scope*string
Value in"user""profile""workspace"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
workspace_id?string
curl -X GET "https://example.com/api/settings/attention"
{  "available_scopes": [    "user"  ],  "config": {    "muted_workspaces": [      "string"    ],    "sound": true,    "system": true,    "toasts": true  },  "profile": "string",  "scope": "user",  "section": "general",  "workspace_id": "string"}
PATCH
/api/settings/attention

Query Parameters

scope?string

Select user or profile attention mutes

Value in"user""profile"
profile?string

Select the profile whose workspace mutes are returned

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/attention" \  -H "Content-Type: application/json" \  -d '{    "config": {      "sound": true,      "system": true,      "toasts": true    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/automation

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
links?array<>
runtime*
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
curl -X GET "https://example.com/api/settings/automation"
{  "available_scopes": [    "user"  ],  "config": {    "default_fire_limit": {      "max": 0,      "window": "string"    },    "enabled": true,    "max_concurrent_jobs": 0,    "timezone": "string"  },  "links": [    {      "label": "string",      "path": "string"    }  ],  "runtime": {    "available": true,    "host_timezone": "string",    "job_enabled": 0,    "job_total": 0,    "last_synced_at": "2019-08-24T14:15:22Z",    "next_fire": "2019-08-24T14:15:22Z",    "running": true,    "scheduler_running": true,    "trigger_enabled": 0,    "trigger_total": 0  },  "scope": "user",  "section": "general"}
PATCH
/api/settings/automation

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/automation" \  -H "Content-Type: application/json" \  -d '{    "config": {      "default_fire_limit": {        "max": 0,        "window": "string"      },      "enabled": true,      "max_concurrent_jobs": 0,      "timezone": "string"    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/cmd-palette

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Response Body

OK

application/json
  1. response
aliases*
available_scopes*array<>
fallback_agent_enabled*boolean
personalization*boolean
profile?string
scope*string
Value in"user""profile""workspace"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
workspace_id?string
curl -X GET "https://example.com/api/settings/cmd-palette"
{  "aliases": {    "property1": "string",    "property2": "string"  },  "available_scopes": [    "user"  ],  "fallback_agent_enabled": true,  "personalization": true,  "profile": "string",  "scope": "user",  "section": "general",  "workspace_id": "string"}
PATCH
/api/settings/cmd-palette

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Request Body

JSON request body

application/json
  1. body
aliases?|null
fallback_agent_enabled?boolean|null
personalization?boolean|null

Response Body

OK

application/json
  1. response
aliases*
available_scopes*array<>
fallback_agent_enabled*boolean
personalization*boolean
profile?string
scope*string
Value in"user""profile""workspace"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
workspace_id?string
curl -X PATCH "https://example.com/api/settings/cmd-palette" \  -H "Content-Type: application/json" \  -d '{}'
{  "aliases": {    "property1": "string",    "property2": "string"  },  "available_scopes": [    "user"  ],  "fallback_agent_enabled": true,  "personalization": true,  "profile": "string",  "scope": "user",  "section": "general",  "workspace_id": "string"}
GET
/api/settings/general

Response Body

OK

application/json
  1. response
actions*
available_scopes*array<>
config*
config_paths*
runtime*
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
curl -X GET "https://example.com/api/settings/general"
{  "actions": {    "restart": {      "available": true,      "behavior": "applied_now",      "name": "string"    }  },  "available_scopes": [    "user"  ],  "config": {    "busy_input": {      "default_mode": "string"    },    "daemon": {      "memory_report_interval": "string",      "reload_timeouts": {        "mcp": "string",        "providers": "string"      },      "socket": "string"    },    "http": {      "host": "string",      "port": 0    },    "idle_release_after": "string",    "limits": {      "max_concurrent_agents": 0    },    "permissions": {      "mode": "deny-all"    },    "redact": {      "enabled": true    },    "session_timeout": "string",    "terminal": {      "default_shell": "string",      "detached_ttl": "string",      "exit_retention": "string",      "max_per_daemon": 0,      "max_per_workspace": 0,      "max_subscribers": 0,      "recording": true,      "recording_retention_days": 0,      "scrollback_bytes": 0,      "shell_integration": true    }  },  "config_paths": {    "daemon_info": "string",    "global_config": "string",    "global_mcp_sidecar": "string",    "home_dir": "string",    "log_file": "string"  },  "runtime": {    "active_agents": 0,    "active_sessions": 0,    "available": true,    "http_host": "string",    "http_port": 0,    "pid": 0,    "socket": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "string",    "total_sessions": 0,    "uptime_seconds": 0,    "version": "string"  },  "scope": "user",  "section": "general"}
PATCH
/api/settings/general

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/general" \  -H "Content-Type: application/json" \  -d '{    "config": {      "daemon": {        "memory_report_interval": "string",        "reload_timeouts": {          "mcp": "string",          "providers": "string"        },        "socket": "string"      },      "http": {        "host": "string",        "port": 0      },      "limits": {        "max_concurrent_agents": 0      },      "permissions": {        "mode": "deny-all"      },      "redact": {        "enabled": true      },      "session_timeout": "string",      "terminal": {        "default_shell": "string",        "detached_ttl": "string",        "exit_retention": "string",        "max_per_daemon": 0,        "max_per_workspace": 0,        "max_subscribers": 0,        "recording": true,        "recording_retention_days": 0,        "scrollback_bytes": 0,        "shell_integration": true      }    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/hooks

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Response Body

OK

application/json
  1. response
available_scopes*array<>
collection*string
Value in"providers""mcp-servers""hooks"
hooks*array<>
profile?string
scope*string
Value in"user""profile""workspace"
workspace_id?string
curl -X GET "https://example.com/api/settings/hooks"
{  "available_scopes": [    "user"  ],  "collection": "providers",  "hooks": [    {      "declaration": {        "args": [          "string"        ],        "command": "string",        "enabled": true,        "env": {          "property1": "string",          "property2": "string"        },        "event": "subagent.settled",        "executor_kind": "native",        "matcher": {          "acp_event_type": "string",          "agent_name": "string",          "agent_type": "string",          "autonomy": {            "child_session_id": "string",            "coordinator_session_id": "string",            "loop_name": "string",            "loop_run_id": "string",            "node_id": "string",            "parent_session_id": "string",            "release_reason": "string",            "root_session_id": "string",            "run_id": "string",            "spawn_role": "string",            "task_id": "string",            "workflow_id": "string"          },          "compaction_trigger": "string",          "decision_class": "string",          "input_class": "string",          "message_delta_type": "string",          "message_role": "string",          "session_type": "string",          "tool_id": "string",          "tool_name": "string",          "tool_read_only": true,          "turn_id": "string",          "workspace_id": "string",          "workspace_root": "string",          "worktree_id": "string"        },        "metadata": {          "property1": "string",          "property2": "string"        },        "mode": "sync",        "name": "string",        "priority": 0,        "required": true,        "secret_env": {          "property1": "string",          "property2": "string"        },        "timeout": "string"      },      "name": "string",      "source_metadata": {        "available_targets": [          "global-config"        ],        "effective_source": {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        },        "shadowed_sources": [          {            "agent_name": "string",            "kind": "extension",            "profile": "string",            "scope": "user",            "workspace_id": "string"          }        ]      }    }  ],  "profile": "string",  "scope": "user",  "workspace_id": "string"}
GET
/api/settings/hooks-extensions

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
hooks?array<>
installed?array<>
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
transport_parity*
curl -X GET "https://example.com/api/settings/hooks-extensions"
{  "available_scopes": [    "user"  ],  "config": {    "dev": {      "watch_interval": "string"    },    "resources": {      "allowed_kinds": [        "string"      ],      "max_scope": "user",      "operator_write_rate_limit": {        "queue": 0,        "requests": 0,        "window": "string"      },      "snapshot_rate_limit": {        "queue": 0,        "requests": 0,        "window": "string"      }    },    "sources": {      "git": {        "enabled": true      },      "github": {        "base_url": "string",        "enabled": true      }    },    "trust": {      "allow_unverified": true    }  },  "hooks": [    {      "declaration": {        "args": [          "string"        ],        "command": "string",        "enabled": true,        "env": {          "property1": "string",          "property2": "string"        },        "event": "subagent.settled",        "executor_kind": "native",        "matcher": {          "acp_event_type": "string",          "agent_name": "string",          "agent_type": "string",          "autonomy": {            "child_session_id": "string",            "coordinator_session_id": "string",            "loop_name": "string",            "loop_run_id": "string",            "node_id": "string",            "parent_session_id": "string",            "release_reason": "string",            "root_session_id": "string",            "run_id": "string",            "spawn_role": "string",            "task_id": "string",            "workflow_id": "string"          },          "compaction_trigger": "string",          "decision_class": "string",          "input_class": "string",          "message_delta_type": "string",          "message_role": "string",          "session_type": "string",          "tool_id": "string",          "tool_name": "string",          "tool_read_only": true,          "turn_id": "string",          "workspace_id": "string",          "workspace_root": "string",          "worktree_id": "string"        },        "metadata": {          "property1": "string",          "property2": "string"        },        "mode": "sync",        "name": "string",        "priority": 0,        "required": true,        "secret_env": {          "property1": "string",          "property2": "string"        },        "timeout": "string"      },      "name": "string",      "source_metadata": {        "available_targets": [          "global-config"        ],        "effective_source": {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        },        "shadowed_sources": [          {            "agent_name": "string",            "kind": "extension",            "profile": "string",            "scope": "user",            "workspace_id": "string"          }        ]      }    }  ],  "installed": [    {      "enabled": true,      "health": "string",      "health_message": "string",      "last_error": "string",      "missing_env": [        "string"      ],      "name": "string",      "palette": {        "commands": [          {            "available": true,            "bindings": [              "string"            ],            "conflict_with": "string",            "default_binding": "string",            "default_dormant": true,            "id": "string",            "reason": "string",            "title": "string"          }        ],        "views": [          {            "available": true,            "id": "string",            "reason": "string",            "title": "string"          }        ]      },      "requires_env": [        "string"      ],      "state": "string",      "version": "string"    }  ],  "scope": "user",  "section": "general",  "transport_parity": {    "extensions_http": true,    "extensions_uds": true,    "known": true,    "settings_http": true,    "settings_uds": true  }}
PATCH
/api/settings/hooks-extensions

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/hooks-extensions" \  -H "Content-Type: application/json" \  -d '{    "config": {      "dev": {        "watch_interval": "string"      },      "resources": {        "operator_write_rate_limit": {          "queue": 0,          "requests": 0,          "window": "string"        },        "snapshot_rate_limit": {          "queue": 0,          "requests": 0,          "window": "string"        }      },      "sources": {        "git": {          "enabled": true        },        "github": {          "base_url": "string",          "enabled": true        }      },      "trust": {        "allow_unverified": true      }    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
DELETE
/api/settings/hooks/{name}

Path Parameters

name*string

Hook name

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X DELETE "https://example.com/api/settings/hooks/string"
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
PUT
/api/settings/hooks/{name}

Path Parameters

name*string

Hook name

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Request Body

JSON request body

application/json
  1. body
declaration*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PUT "https://example.com/api/settings/hooks/string" \  -H "Content-Type: application/json" \  -d '{    "declaration": {      "event": "subagent.settled",      "matcher": {},      "name": "string"    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/marketplace

Response Body

Catalog settings

application/json
  1. response
available_scopes*array<>
config*
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
curl -X GET "https://example.com/api/settings/marketplace"
{  "available_scopes": [    "user"  ],  "config": {    "base_url": "string",    "timeout": "string",    "ttl": "string"  },  "scope": "user",  "section": "general"}
PATCH
/api/settings/marketplace

Request Body

JSON request body

application/json
  1. body
config*

Response Body

Applied settings

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/marketplace" \  -H "Content-Type: application/json" \  -d '{    "config": {      "base_url": "string",      "timeout": "string",      "ttl": "string"    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/mcp-servers

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Response Body

OK

application/json
  1. response
available_scopes*array<>
collection*string
Value in"providers""mcp-servers""hooks"
mcp_servers*array<>
profile?string
scope*string
Value in"user""profile""workspace"
workspace_id?string
curl -X GET "https://example.com/api/settings/mcp-servers"
{  "available_scopes": [    "user"  ],  "collection": "providers",  "mcp_servers": [    {      "args": [        "string"      ],      "auth": {        "client_id": "string",        "client_secret_configured": true,        "issuer_url": "string",        "registration": "string",        "scopes": [          "string"        ]      },      "auth_status": {        "auth_type": "string",        "client_id": "string",        "diagnostic": "string",        "expires_at": "2019-08-24T14:15:22Z",        "issuer": "string",        "owner": "string",        "profile": "string",        "refreshable": true,        "remote_url": "string",        "scope": "string",        "scopes": [          "string"        ],        "server_name": "string",        "status": "string",        "token_present": true,        "updated_at": "2019-08-24T14:15:22Z",        "workspace_id": "string"      },      "catalog_entry": "string",      "catalog_version": "string",      "command": "string",      "env_keys": [        "string"      ],      "name": "string",      "override": {        "env": {          "property1": "string",          "property2": "string"        },        "headers": {          "property1": "string",          "property2": "string"        },        "url": "string"      },      "owner": "string",      "profile": "string",      "runtime_name": "string",      "runtime_status": {        "configured": true,        "diagnostic": "string",        "initialized": true,        "probe": "string",        "protocol_version": "string",        "reason": "string",        "state": "string",        "tool_count": 0      },      "scope": "user",      "secret_env_keys": [        "string"      ],      "source_metadata": {        "available_targets": [          "global-config"        ],        "effective_source": {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        },        "shadowed_sources": [          {            "agent_name": "string",            "kind": "extension",            "profile": "string",            "scope": "user",            "workspace_id": "string"          }        ]      },      "transport": "string",      "url": "string",      "workspace_id": "string"    }  ],  "profile": "string",  "scope": "user",  "workspace_id": "string"}
GET
/api/settings/mcp-servers/{name}

Path Parameters

name*string

Logical MCP name with owner, otherwise manual or allocated runtime name

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

owner?string

Select manual or extension:; omitted owner selects manual servers only

Response Body

OK

application/json
  1. response
server*
curl -X GET "https://example.com/api/settings/mcp-servers/string"
{  "server": {    "args": [      "string"    ],    "auth": {      "client_id": "string",      "client_secret_configured": true,      "issuer_url": "string",      "registration": "string",      "scopes": [        "string"      ]    },    "auth_status": {      "auth_type": "string",      "client_id": "string",      "diagnostic": "string",      "expires_at": "2019-08-24T14:15:22Z",      "issuer": "string",      "owner": "string",      "profile": "string",      "refreshable": true,      "remote_url": "string",      "scope": "string",      "scopes": [        "string"      ],      "server_name": "string",      "status": "string",      "token_present": true,      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    },    "catalog_entry": "string",    "catalog_version": "string",    "command": "string",    "env_keys": [      "string"    ],    "name": "string",    "override": {      "env": {        "property1": "string",        "property2": "string"      },      "headers": {        "property1": "string",        "property2": "string"      },      "url": "string"    },    "owner": "string",    "profile": "string",    "runtime_name": "string",    "runtime_status": {      "configured": true,      "diagnostic": "string",      "initialized": true,      "probe": "string",      "protocol_version": "string",      "reason": "string",      "state": "string",      "tool_count": 0    },    "scope": "user",    "secret_env_keys": [      "string"    ],    "source_metadata": {      "available_targets": [        "global-config"      ],      "effective_source": {        "agent_name": "string",        "kind": "extension",        "profile": "string",        "scope": "user",        "workspace_id": "string"      },      "shadowed_sources": [        {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        }      ]    },    "transport": "string",    "url": "string",    "workspace_id": "string"  }}
DELETE
/api/settings/mcp-servers/{name}

Path Parameters

name*string

MCP server name

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

owner?string

Select manual or extension:; omitted owner selects manual servers only

target?string

Select the persistence target

Value in"auto""config""sidecar"

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X DELETE "https://example.com/api/settings/mcp-servers/string"
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
PUT
/api/settings/mcp-servers/{name}

Path Parameters

name*string

MCP server name

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

owner?string

Select manual or extension:; omitted owner selects manual servers only

target?string

Select the persistence target

Value in"auto""config""sidecar"

Request Body

JSON request body

application/json
  1. body
preserve_env?array<string>
preserve_secrets?|
secret_values?|
server*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PUT "https://example.com/api/settings/mcp-servers/string" \  -H "Content-Type: application/json" \  -d '{    "server": {      "name": "string"    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
POST
/api/settings/mcp-servers/{name}/auth/begin

Path Parameters

name*string

Configured MCP server name

Query Parameters

scope*string

Exact MCP settings scope

Value in"user""profile""workspace"
workspace_id?string

Required when scope is workspace

profile?string

Required when scope is profile

owner?string

Definition owner: manual or extension:; omitted owner selects manual

Request Body

JSON request body

application/json
  1. body
approve_scope_escalation?boolean
approved_scopes?array<string>
mode*string
Value in"automatic""manual"

Response Body

OK

application/json
  1. response
authorization_url*string
callback_url*string
expires_at*string
Formatdate-time
manual_supported*boolean
state*string
curl -X POST "https://example.com/api/settings/mcp-servers/string/auth/begin?scope=user" \  -H "Content-Type: application/json" \  -d '{    "mode": "automatic"  }'
{  "authorization_url": "string",  "callback_url": "string",  "expires_at": "2019-08-24T14:15:22Z",  "manual_supported": true,  "state": "string"}
POST
/api/settings/mcp-servers/{name}/auth/exchange

Path Parameters

name*string

Configured MCP server name

Query Parameters

scope*string

Exact MCP settings scope

Value in"user""profile""workspace"
workspace_id?string

Required when scope is workspace

profile?string

Required when scope is profile

owner?string

Definition owner: manual or extension:; omitted owner selects manual

Request Body

JSON request body

application/json
  1. body
redirect_url*string
Length1 <= length

Response Body

OK

application/json
  1. response
auth_type?string
client_id?string
diagnostic?string
expires_at?|
Formatdate-time
issuer?string
owner*string
profile?string
refreshable*boolean
remote_url?string
scope*string
scopes?array<string>
server_name*string
status*string
token_present*boolean
updated_at?|
Formatdate-time
workspace_id?string
curl -X POST "https://example.com/api/settings/mcp-servers/string/auth/exchange?scope=user" \  -H "Content-Type: application/json" \  -d '{    "redirect_url": "string"  }'
{  "auth_type": "string",  "client_id": "string",  "diagnostic": "string",  "expires_at": "2019-08-24T14:15:22Z",  "issuer": "string",  "owner": "string",  "profile": "string",  "refreshable": true,  "remote_url": "string",  "scope": "string",  "scopes": [    "string"  ],  "server_name": "string",  "status": "string",  "token_present": true,  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}
POST
/api/settings/mcp-servers/{name}/auth/logout

Path Parameters

name*string

Configured MCP server name

Query Parameters

scope*string

Exact MCP settings scope

Value in"user""profile""workspace"
workspace_id?string

Required when scope is workspace

profile?string

Required when scope is profile

owner?string

Definition owner: manual or extension:; omitted owner selects manual

Response Body

OK

application/json
  1. response
auth_type?string
client_id?string
diagnostic?string
expires_at?|
Formatdate-time
issuer?string
owner*string
profile?string
refreshable*boolean
remote_url?string
scope*string
scopes?array<string>
server_name*string
status*string
token_present*boolean
updated_at?|
Formatdate-time
workspace_id?string
curl -X POST "https://example.com/api/settings/mcp-servers/string/auth/logout?scope=user"
{  "auth_type": "string",  "client_id": "string",  "diagnostic": "string",  "expires_at": "2019-08-24T14:15:22Z",  "issuer": "string",  "owner": "string",  "profile": "string",  "refreshable": true,  "remote_url": "string",  "scope": "string",  "scopes": [    "string"  ],  "server_name": "string",  "status": "string",  "token_present": true,  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}
GET
/api/settings/mcp-servers/{name}/auth/status

Path Parameters

name*string

Configured MCP server name

Query Parameters

scope*string

Exact MCP settings scope

Value in"user""profile""workspace"
workspace_id?string

Required when scope is workspace

profile?string

Required when scope is profile

owner?string

Definition owner: manual or extension:; omitted owner selects manual

Response Body

OK

application/json
  1. response
auth_type?string
client_id?string
diagnostic?string
expires_at?|
Formatdate-time
issuer?string
owner*string
profile?string
refreshable*boolean
remote_url?string
scope*string
scopes?array<string>
server_name*string
status*string
token_present*boolean
updated_at?|
Formatdate-time
workspace_id?string
curl -X GET "https://example.com/api/settings/mcp-servers/string/auth/status?scope=user"
{  "auth_type": "string",  "client_id": "string",  "diagnostic": "string",  "expires_at": "2019-08-24T14:15:22Z",  "issuer": "string",  "owner": "string",  "profile": "string",  "refreshable": true,  "remote_url": "string",  "scope": "string",  "scopes": [    "string"  ],  "server_name": "string",  "status": "string",  "token_present": true,  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}
GET
/api/settings/observability

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
log_tail*
runtime*
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
curl -X GET "https://example.com/api/settings/observability"
{  "available_scopes": [    "user"  ],  "config": {    "enabled": true,    "max_global_bytes": 0,    "retention_days": 0,    "transcripts": {      "enabled": true,      "max_bytes_per_session": 0,      "segment_bytes": 0    }  },  "log_tail": {    "available": true,    "stream_url": "string",    "transport": "sse"  },  "runtime": {    "active_agents": 0,    "active_sessions": 0,    "available": true,    "global_db_size_bytes": 0,    "session_db_size_bytes": 0,    "status": "string",    "uptime_seconds": 0  },  "scope": "user",  "section": "general"}
PATCH
/api/settings/observability

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/observability" \  -H "Content-Type: application/json" \  -d '{    "config": {      "enabled": true,      "max_global_bytes": 0,      "retention_days": 0,      "transcripts": {        "enabled": true,        "max_bytes_per_session": 0,        "segment_bytes": 0      }    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/observability/log-tail

Response Body

SSE stream established

text/event-stream
  1. response
line*string
curl -X GET "https://example.com/api/settings/observability/log-tail"
{  "line": "string"}
GET
/api/settings/persona

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
profile?string
scope*string
Value in"user""profile""workspace"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
workspace_id?string
curl -X GET "https://example.com/api/settings/persona"
{  "available_scopes": [    "user"  ],  "config": {    "agent": "string",    "model": "string",    "provider": "string",    "reasoning_effort": "string"  },  "profile": "string",  "scope": "user",  "section": "general",  "workspace_id": "string"}
PATCH
/api/settings/persona

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace"
workspace_id?string

Select the workspace context

profile?string

Select the profile layer

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/persona" \  -H "Content-Type: application/json" \  -d '{    "config": {      "agent": "string"    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/provider-usage

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
keychain_supported*boolean
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
curl -X GET "https://example.com/api/settings/provider-usage"
{  "available_scopes": [    "user"  ],  "config": {    "enabled": true,    "providers": {      "property1": {        "enabled": true,        "keychain_access": true      },      "property2": {        "enabled": true,        "keychain_access": true      }    },    "refresh_interval": "string"  },  "keychain_supported": true,  "scope": "user",  "section": "general"}
PATCH
/api/settings/provider-usage

Query Parameters

collection_profile?string

Collection profile name or ID for local Keychain consent; independent of user config scope; defaults to default

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/provider-usage" \  -H "Content-Type: application/json" \  -d '{    "config": {      "enabled": true,      "providers": {        "property1": {},        "property2": {}      },      "refresh_interval": "string"    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/providers

Response Body

OK

application/json
  1. response
available_scopes*array<>
collection*string
Value in"providers""mcp-servers""hooks"
providers*array<>
scope*"user"
Value in"user"
curl -X GET "https://example.com/api/settings/providers"
{  "available_scopes": [    "user"  ],  "collection": "providers",  "providers": [    {      "auth_status": {        "code": "string",        "env_policy": "string",        "home_policy": "string",        "login": {          "configured": true,          "executable": "string",          "presence": "present",          "recommended_action": "install_cli",          "source": "auth_login_command"        },        "message": "string",        "mode": "string",        "state": "string",        "status_command": "string"      },      "command_available": true,      "credentials": [        {          "kind": "string",          "name": "string",          "present": true,          "required": true,          "secret_ref": "string",          "source": "string",          "target_env": "string"        }      ],      "default": true,      "fallback": {        "settings": {          "auth_acp_method": "string",          "auth_mode": "string",          "auth_status_command": "string",          "base_url": "string",          "command": "string",          "command_inherited": true,          "credential_slots": [            {              "kind": "string",              "name": "string",              "required": true,              "secret_ref": "string",              "target_env": "string"            }          ],          "display_name": "string",          "env_policy": "string",          "harness": "string",          "home_policy": "string",          "models": {            "curated": [              {                "context_window": 0,                "cost_cache_read_per_million": 0,                "cost_cache_write_per_million": 0,                "cost_input_per_million": 0,                "cost_output_per_million": 0,                "cost_reasoning_per_million": 0,                "default_reasoning_effort": "string",                "default_speed": "normal",                "deprecated": true,                "display_name": "string",                "featured": true,                "hidden": true,                "id": "string",                "max_input_tokens": 0,                "max_output_tokens": 0,                "reasoning_efforts": [                  "string"                ],                "release_date": "string",                "supports_reasoning": true,                "supports_tools": true              }            ],            "default": "string",            "discovery": {              "command": "string",              "enabled": true,              "endpoint": "string",              "timeout": "string"            },            "reasoning": {              "apply": "string"            }          },          "runtime_provider": "string",          "session_env": {            "property1": {              "ref": "string",              "required": true            },            "property2": {              "ref": "string",              "required": true            }          },          "steer_capability": "steer_ext",          "transport": "string"        },        "source": {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        }      },      "name": "string",      "runtime_strategy": "session_config",      "session_env_status": [        {          "kind": "string",          "name": "string",          "present": true,          "required": true,          "secret_ref": "string",          "source": "string",          "target_env": "string"        }      ],      "settings": {        "auth_acp_method": "string",        "auth_mode": "string",        "auth_status_command": "string",        "base_url": "string",        "command": "string",        "command_inherited": true,        "credential_slots": [          {            "kind": "string",            "name": "string",            "required": true,            "secret_ref": "string",            "target_env": "string"          }        ],        "display_name": "string",        "env_policy": "string",        "harness": "string",        "home_policy": "string",        "models": {          "curated": [            {              "context_window": 0,              "cost_cache_read_per_million": 0,              "cost_cache_write_per_million": 0,              "cost_input_per_million": 0,              "cost_output_per_million": 0,              "cost_reasoning_per_million": 0,              "default_reasoning_effort": "string",              "default_speed": "normal",              "deprecated": true,              "display_name": "string",              "featured": true,              "hidden": true,              "id": "string",              "max_input_tokens": 0,              "max_output_tokens": 0,              "reasoning_efforts": [                "string"              ],              "release_date": "string",              "supports_reasoning": true,              "supports_tools": true            }          ],          "default": "string",          "discovery": {            "command": "string",            "enabled": true,            "endpoint": "string",            "timeout": "string"          },          "reasoning": {            "apply": "string"          }        },        "runtime_provider": "string",        "session_env": {          "property1": {            "ref": "string",            "required": true          },          "property2": {            "ref": "string",            "required": true          }        },        "steer_capability": "steer_ext",        "transport": "string"      },      "source_metadata": {        "available_targets": [          "global-config"        ],        "effective_source": {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        },        "shadowed_sources": [          {            "agent_name": "string",            "kind": "extension",            "profile": "string",            "scope": "user",            "workspace_id": "string"          }        ]      }    }  ],  "scope": "user"}
GET
/api/settings/providers/{name}

Path Parameters

name*string

Provider name

Response Body

OK

application/json
  1. response
provider*
curl -X GET "https://example.com/api/settings/providers/string"
{  "provider": {    "auth_status": {      "code": "string",      "env_policy": "string",      "home_policy": "string",      "login": {        "configured": true,        "executable": "string",        "presence": "present",        "recommended_action": "install_cli",        "source": "auth_login_command"      },      "message": "string",      "mode": "string",      "state": "string",      "status_command": "string"    },    "command_available": true,    "credentials": [      {        "kind": "string",        "name": "string",        "present": true,        "required": true,        "secret_ref": "string",        "source": "string",        "target_env": "string"      }    ],    "default": true,    "fallback": {      "settings": {        "auth_acp_method": "string",        "auth_mode": "string",        "auth_status_command": "string",        "base_url": "string",        "command": "string",        "command_inherited": true,        "credential_slots": [          {            "kind": "string",            "name": "string",            "required": true,            "secret_ref": "string",            "target_env": "string"          }        ],        "display_name": "string",        "env_policy": "string",        "harness": "string",        "home_policy": "string",        "models": {          "curated": [            {              "context_window": 0,              "cost_cache_read_per_million": 0,              "cost_cache_write_per_million": 0,              "cost_input_per_million": 0,              "cost_output_per_million": 0,              "cost_reasoning_per_million": 0,              "default_reasoning_effort": "string",              "default_speed": "normal",              "deprecated": true,              "display_name": "string",              "featured": true,              "hidden": true,              "id": "string",              "max_input_tokens": 0,              "max_output_tokens": 0,              "reasoning_efforts": [                "string"              ],              "release_date": "string",              "supports_reasoning": true,              "supports_tools": true            }          ],          "default": "string",          "discovery": {            "command": "string",            "enabled": true,            "endpoint": "string",            "timeout": "string"          },          "reasoning": {            "apply": "string"          }        },        "runtime_provider": "string",        "session_env": {          "property1": {            "ref": "string",            "required": true          },          "property2": {            "ref": "string",            "required": true          }        },        "steer_capability": "steer_ext",        "transport": "string"      },      "source": {        "agent_name": "string",        "kind": "extension",        "profile": "string",        "scope": "user",        "workspace_id": "string"      }    },    "name": "string",    "runtime_strategy": "session_config",    "session_env_status": [      {        "kind": "string",        "name": "string",        "present": true,        "required": true,        "secret_ref": "string",        "source": "string",        "target_env": "string"      }    ],    "settings": {      "auth_acp_method": "string",      "auth_mode": "string",      "auth_status_command": "string",      "base_url": "string",      "command": "string",      "command_inherited": true,      "credential_slots": [        {          "kind": "string",          "name": "string",          "required": true,          "secret_ref": "string",          "target_env": "string"        }      ],      "display_name": "string",      "env_policy": "string",      "harness": "string",      "home_policy": "string",      "models": {        "curated": [          {            "context_window": 0,            "cost_cache_read_per_million": 0,            "cost_cache_write_per_million": 0,            "cost_input_per_million": 0,            "cost_output_per_million": 0,            "cost_reasoning_per_million": 0,            "default_reasoning_effort": "string",            "default_speed": "normal",            "deprecated": true,            "display_name": "string",            "featured": true,            "hidden": true,            "id": "string",            "max_input_tokens": 0,            "max_output_tokens": 0,            "reasoning_efforts": [              "string"            ],            "release_date": "string",            "supports_reasoning": true,            "supports_tools": true          }        ],        "default": "string",        "discovery": {          "command": "string",          "enabled": true,          "endpoint": "string",          "timeout": "string"        },        "reasoning": {          "apply": "string"        }      },      "runtime_provider": "string",      "session_env": {        "property1": {          "ref": "string",          "required": true        },        "property2": {          "ref": "string",          "required": true        }      },      "steer_capability": "steer_ext",      "transport": "string"    },    "source_metadata": {      "available_targets": [        "global-config"      ],      "effective_source": {        "agent_name": "string",        "kind": "extension",        "profile": "string",        "scope": "user",        "workspace_id": "string"      },      "shadowed_sources": [        {          "agent_name": "string",          "kind": "extension",          "profile": "string",          "scope": "user",          "workspace_id": "string"        }      ]    }  }}
DELETE
/api/settings/providers/{name}

Path Parameters

name*string

Provider name

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X DELETE "https://example.com/api/settings/providers/string"
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
PUT
/api/settings/providers/{name}

Path Parameters

name*string

Provider name

Request Body

JSON request body

application/json
  1. body
model_curation?|
secrets?array<>
settings*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PUT "https://example.com/api/settings/providers/string" \  -H "Content-Type: application/json" \  -d '{    "settings": {}  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
POST
/api/settings/reload

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X POST "https://example.com/api/settings/reload"
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/roles

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
scope*string
Value in"user""workspace"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
workspace_id?string
curl -X GET "https://example.com/api/settings/roles"
{  "available_scopes": [    "user"  ],  "config": {    "auto_title": {      "acp_options": [        {          "bool_value": true,          "id": "string",          "value_id": "string"        }      ],      "agent": "string",      "enabled": true,      "fallback_chain": [        {          "acp_options": [            {              "bool_value": true,              "id": "string",              "value_id": "string"            }          ],          "command": "string",          "model": "string",          "provider": "string",          "reasoning_effort": "string",          "session_env": {            "property1": {              "ref": "string",              "required": true            },            "property2": {              "ref": "string",              "required": true            }          },          "speed": "normal"        }      ],      "model": "string",      "provider": "string",      "reasoning_effort": "string",      "speed": "normal"    },    "coordinator": {      "acp_options": [        {          "bool_value": true,          "id": "string",          "value_id": "string"        }      ],      "agent": "string",      "enabled": true,      "fallback_chain": [        {          "acp_options": [            {              "bool_value": true,              "id": "string",              "value_id": "string"            }          ],          "command": "string",          "model": "string",          "provider": "string",          "reasoning_effort": "string",          "session_env": {            "property1": {              "ref": "string",              "required": true            },            "property2": {              "ref": "string",              "required": true            }          },          "speed": "normal"        }      ],      "max_active_sessions_per_workspace": 0,      "max_children": 0,      "model": "string",      "provider": "string",      "reasoning_effort": "string",      "speed": "normal",      "ttl": "string"    }  },  "scope": "user",  "section": "general",  "workspace_id": "string"}
PATCH
/api/settings/roles

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/roles" \  -H "Content-Type: application/json" \  -d '{    "config": {      "auto_title": {        "acp_options": [          {            "id": "string"          }        ],        "agent": "string",        "enabled": true,        "fallback_chain": [          {            "acp_options": [              {                "id": "string"              }            ],            "command": "string",            "model": "string",            "provider": "string",            "reasoning_effort": "string"          }        ],        "model": "string",        "provider": "string",        "reasoning_effort": "string"      },      "coordinator": {        "acp_options": [          {            "id": "string"          }        ],        "agent": "string",        "enabled": true,        "fallback_chain": [          {            "acp_options": [              {                "id": "string"              }            ],            "command": "string",            "model": "string",            "provider": "string",            "reasoning_effort": "string"          }        ],        "max_active_sessions_per_workspace": 0,        "max_children": 0,        "model": "string",        "provider": "string",        "reasoning_effort": "string",        "ttl": "string"      }    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/shell

Response Body

OK

application/json
  1. response
available_scopes*array<>
config*
legacy_scope*
scope*"user"
Value in"user"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
warnings*array<string>
curl -X GET "https://example.com/api/settings/shell"
{  "available_scopes": [    "user"  ],  "config": {    "appearance": {      "mono_font": "string",      "ui_font": "string"    },    "sessions": {      "group_by": "none",      "scope": "workspace",      "sort": "created"    }  },  "legacy_scope": {    "explicit": true,    "revision": 0,    "value": "workspace"  },  "scope": "user",  "section": "general",  "warnings": [    "string"  ]}
PATCH
/api/settings/shell

Request Body

JSON request body

application/json
  1. body
config*

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
config*
legacy_scope*
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
scope?string
Value in"user""profile""workspace""agent"
section?string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace""providers""mcp-servers""hooks"
skipped?boolean
skipped_reason?string
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/shell" \  -H "Content-Type: application/json" \  -d '{    "config": {      "sessions": {}    }  }'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "config": {    "appearance": {      "mono_font": "string",      "ui_font": "string"    },    "sessions": {      "group_by": "none",      "scope": "workspace",      "sort": "created"    }  },  "legacy_scope": {    "explicit": true,    "revision": 0,    "value": "workspace"  },  "lifecycle": "live",  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/skills

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace""agent"
workspace_id?string

Workspace id for workspace or agent resolution context

profile?string

Profile name when scope=profile

agent_name?string

Agent name when scope=agent

Response Body

OK

application/json
  1. response
agent_name?string
available_scopes*array<>
config*
diagnostics?array<>
disabled_count*integer
discovered_count*integer
inherits?|
links?array<>
profile?string
runtime_available*boolean
scope*string
Value in"user""profile""workspace""agent"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
sources*array<>
workspace_id?string
curl -X GET "https://example.com/api/settings/skills"
{  "agent_name": "string",  "available_scopes": [    "user"  ],  "config": {    "allowed_marketplace_hooks": [      "string"    ],    "custom_sources": [      "string"    ],    "disabled_skills": [      "string"    ],    "enabled": true,    "poll_interval": "string",    "sources": [      "string"    ]  },  "diagnostics": [    {      "activation_reasons": [        {          "code": "platform_mismatch",          "gate": "string",          "message": "string",          "missing": [            "string"          ]        }      ],      "failure": {        "actual_hash": "string",        "code": "string",        "expected_hash": "string",        "message": "string"      },      "name": "string",      "path": "string",      "source": "string",      "state": "valid",      "verification_status": "passed",      "warnings": [        {          "message": "string",          "pattern": "string",          "severity": "string"        }      ],      "winning_path": "string",      "winning_source": "string"    }  ],  "disabled_count": 0,  "discovered_count": 0,  "inherits": {    "custom_sources": true,    "sources": true  },  "links": [    {      "label": "string",      "path": "string"    }  ],  "profile": "string",  "runtime_available": true,  "scope": "user",  "section": "general",  "sources": [    {      "always_on": true,      "default": true,      "enabled": true,      "global_path": "string",      "kind": "string",      "label": "string",      "path": "string",      "roots": [        {          "collisions": [            {              "name": "string",              "qualified_form": "string",              "winner_root_id": "string"            }          ],          "exists": true,          "native_readers": [            "string"          ],          "path": "string",          "readable": true,          "root_id": "string",          "scanned_count": 0,          "skill_count": 0,          "skipped_links": [            {              "path": "string",              "reason": "string"            }          ],          "truncated": true,          "verification": {            "blocked": 0,            "warned": 0          }        }      ],      "slug": "string",      "workspace_path": "string"    }  ],  "workspace_id": "string"}
PATCH
/api/settings/skills

Query Parameters

scope?string

Select the settings scope

Value in"user""profile""workspace""agent"
workspace_id?string

Workspace id for workspace or agent resolution context

profile?string

Profile name when scope=profile

agent_name?string

Agent name when scope=agent

Request Body

JSON request body

application/json
  1. body
config?
override?|

Response Body

OK

application/json
  1. response
active_config_hash*string
active_generation*integer
Formatint64
agent_name?string
applied*boolean
apply_record_id*string
available_scopes*array<>
config*
diagnostics?array<>
disabled_count*integer
discovered_count*integer
inherits?|
lifecycle*string
Value in"live""live-add""live-remove-if-unused""restart-required""session-rebind"
links?array<>
next_action*string
Value in"none""restart-daemon""new-session""retry"
partial_failures?array<>
profile?string
restart_required?boolean
restart_scope?string
runtime_available*boolean
scope*string
Value in"user""profile""workspace""agent"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
skipped?boolean
skipped_reason?string
sources*array<>
warnings?array<string>
workspace_id?string
write_target?string
Value in"global-config""profile-config""workspace-config""global-mcp-sidecar""profile-mcp-sidecar""workspace-mcp-sidecar""global-agent-file""workspace-agent-file"
curl -X PATCH "https://example.com/api/settings/skills" \  -H "Content-Type: application/json" \  -d '{}'
{  "active_config_hash": "string",  "active_generation": 0,  "agent_name": "string",  "applied": true,  "apply_record_id": "string",  "available_scopes": [    "user"  ],  "config": {    "allowed_marketplace_hooks": [      "string"    ],    "custom_sources": [      "string"    ],    "disabled_skills": [      "string"    ],    "enabled": true,    "poll_interval": "string",    "sources": [      "string"    ]  },  "diagnostics": [    {      "activation_reasons": [        {          "code": "platform_mismatch",          "gate": "string",          "message": "string",          "missing": [            "string"          ]        }      ],      "failure": {        "actual_hash": "string",        "code": "string",        "expected_hash": "string",        "message": "string"      },      "name": "string",      "path": "string",      "source": "string",      "state": "valid",      "verification_status": "passed",      "warnings": [        {          "message": "string",          "pattern": "string",          "severity": "string"        }      ],      "winning_path": "string",      "winning_source": "string"    }  ],  "disabled_count": 0,  "discovered_count": 0,  "inherits": {    "custom_sources": true,    "sources": true  },  "lifecycle": "live",  "links": [    {      "label": "string",      "path": "string"    }  ],  "next_action": "none",  "partial_failures": [    {      "diagnostic": {        "category": "string",        "code": "string",        "data_freshness": "string",        "doc_url": "string",        "evidence": {          "property1": null,          "property2": null        },        "id": "string",        "message": "string",        "severity": "string",        "suggested_command": "string",        "title": "string"      },      "subsystem": "string"    }  ],  "profile": "string",  "restart_required": true,  "restart_scope": "string",  "runtime_available": true,  "scope": "user",  "section": "general",  "skipped": true,  "skipped_reason": "string",  "sources": [    {      "always_on": true,      "default": true,      "enabled": true,      "global_path": "string",      "kind": "string",      "label": "string",      "path": "string",      "roots": [        {          "collisions": [            {              "name": "string",              "qualified_form": "string",              "winner_root_id": "string"            }          ],          "exists": true,          "native_readers": [            "string"          ],          "path": "string",          "readable": true,          "root_id": "string",          "scanned_count": 0,          "skill_count": 0,          "skipped_links": [            {              "path": "string",              "reason": "string"            }          ],          "truncated": true,          "verification": {            "blocked": 0,            "warned": 0          }        }      ],      "slug": "string",      "workspace_path": "string"    }  ],  "warnings": [    "string"  ],  "workspace_id": "string",  "write_target": "global-config"}
GET
/api/settings/update

Response Body

OK

application/json
  1. response
aggregate*string
Value in"up-to-date""available""accepted""applying""staged""updated""blocked""unsupported""failed""canceled"
app*|
operation*|
runtime*
curl -X GET "https://example.com/api/settings/update"
{  "aggregate": "up-to-date",  "app": {    "attempt_id": "string",    "current_version": "string",    "last_error": "string",    "latest_version": "string",    "message": "string",    "release_url": "string",    "running": true,    "status": "up-to-date"  },  "operation": {    "active_target": "runtime",    "holder": {      "executor_generation": "string",      "lease_expires_at": "2019-08-24T14:15:22Z",      "pid": 0,      "pid_start_time": "2019-08-24T14:15:22Z",      "surface": "cli"    },    "id": "string",    "last_error": "string",    "percent": 0,    "phase": "pending",    "revision": 0,    "started_at": "2019-08-24T14:15:22Z",    "targets": [      "runtime"    ],    "waiting": ""  },  "runtime": {    "checked_at": "2019-08-24T14:15:22Z",    "current_version": "string",    "daemon_restarted": true,    "install_method": "direct-binary",    "last_error": "string",    "latest_version": "string",    "managed": true,    "message": "string",    "recommendation": "string",    "release_url": "string",    "restored_version": "string",    "status": "up-to-date"  }}
POST
/api/settings/update/apply

Request Body

JSON request body

application/json
  1. body
targets*array<>
Value in[ "runtime" ][ "app" ][ "runtime", "app" ]

Response Body

Accepted, blocked, or acquisition-time failure

application/json
  1. response
holder?|
message*string
operation_id?string
status*string
Value in"accepted""blocked""failed"
targets*array<>
Value in[ "runtime" ][ "app" ][ "runtime", "app" ]
curl -X POST "https://example.com/api/settings/update/apply" \  -H "Content-Type: application/json" \  -d '{    "targets": [      "runtime"    ]  }'
{  "holder": {    "executor_generation": "string",    "lease_expires_at": "2019-08-24T14:15:22Z",    "pid": 0,    "pid_start_time": "2019-08-24T14:15:22Z",    "surface": "cli"  },  "message": "string",  "operation_id": "string",  "status": "accepted",  "targets": [    "runtime"  ]}
POST
/api/settings/update/cancel

Response Body

Canceled or declined with current holder

application/json
  1. response
holder?|
message*string
operation_id?string
status*string
Value in"up-to-date""available""accepted""applying""staged""updated""blocked""unsupported""failed""canceled"
curl -X POST "https://example.com/api/settings/update/cancel"
{  "holder": {    "executor_generation": "string",    "lease_expires_at": "2019-08-24T14:15:22Z",    "pid": 0,    "pid_start_time": "2019-08-24T14:15:22Z",    "surface": "cli"  },  "message": "string",  "operation_id": "string",  "status": "up-to-date"}
POST
/api/settings/update/check

Response Body

Current status with last successful check time

application/json
  1. response
aggregate*string
Value in"up-to-date""available""accepted""applying""staged""updated""blocked""unsupported""failed""canceled"
app*|
operation*|
runtime*
curl -X POST "https://example.com/api/settings/update/check"
{  "aggregate": "up-to-date",  "app": {    "attempt_id": "string",    "current_version": "string",    "last_error": "string",    "latest_version": "string",    "message": "string",    "release_url": "string",    "running": true,    "status": "up-to-date"  },  "operation": {    "active_target": "runtime",    "holder": {      "executor_generation": "string",      "lease_expires_at": "2019-08-24T14:15:22Z",      "pid": 0,      "pid_start_time": "2019-08-24T14:15:22Z",      "surface": "cli"    },    "id": "string",    "last_error": "string",    "percent": 0,    "phase": "pending",    "revision": 0,    "started_at": "2019-08-24T14:15:22Z",    "targets": [      "runtime"    ],    "waiting": ""  },  "runtime": {    "checked_at": "2019-08-24T14:15:22Z",    "current_version": "string",    "daemon_restarted": true,    "install_method": "direct-binary",    "last_error": "string",    "latest_version": "string",    "managed": true,    "message": "string",    "recommendation": "string",    "release_url": "string",    "restored_version": "string",    "status": "up-to-date"  }}
GET
/api/settings/window-manager

Query Parameters

scope?string

Select the settings scope

Value in"user""workspace"
workspace_id?string

Select the workspace id for workspace scope

Response Body

OK

application/json
  1. response
aliases*
available_scopes*array<>
commands*array<>
config*
defaults*
diagnostics*array<>
effective_shortcuts*
extension_defaults*array<>
global_shortcuts*array<>
scope*string
Value in"user""workspace"
section*string
Value in"general""persona""roles""skills""automation""window-manager""cmd-palette""attention""shell""provider-usage""observability""hooks-extensions""marketplace"
workspace_id?string
curl -X GET "https://example.com/api/settings/window-manager"
{  "aliases": {    "property1": "string",    "property2": "string"  },  "available_scopes": [    "user"  ],  "commands": [    {      "id": "string",      "section": "string",      "source": "string",      "title": "string"    }  ],  "config": {    "bindings": {      "bottom_center": "none",      "top_center": "none"    },    "closed_entry_limit": 0,    "desktop_transition": "slide",    "drag_away_policy": "window",    "focus_follows_pointer": true,    "focus_policy": "click_directional",    "focus_wrap": true,    "gaps": {      "bottom": 0,      "inner": 0,      "left": 0,      "right": 0,      "top": 0    },    "global_shortcuts": {      "property1": "string",      "property2": "string"    },    "group_move_modifier": "alt",    "history_limit": 0,    "nav_stack_limit": 0,    "new_window_policy": "floating",    "raise_on_focus": true,    "shortcuts": {      "property1": "string",      "property2": "string"    },    "small_viewport_policy": "stack",    "snap": {      "corner_reach": 0,      "edge_band": 0,      "exit_slack": 0,      "repeat_ratios": [        0.1      ]    },    "swap_modifier": "alt"  },  "defaults": {    "property1": "string",    "property2": "string"  },  "diagnostics": [    {      "command_id": "string",      "message": "string"    }  ],  "effective_shortcuts": {    "property1": "string",    "property2": "string"  },  "extension_defaults": [    {      "binding": "string",      "command": "string",      "conflict_with": "string",      "dormant": true    }  ],  "global_shortcuts": [    {      "active_chord": "string",      "command_id": "string",      "intended_chord": "string",      "reason": "string",      "settings_url": "string",      "status": "string"    }  ],  "scope": "user",  "section": "general",  "workspace_id": "string"}
PATCH
/api/settings/window-manager

Query Parameters

scope?string

Select the settings scope

Value in"user""workspace"
workspace_id?string

Select the workspace id for workspace scope

Request Body

JSON request body

application/json
  1. body
aliases?|null
config?|
global_shortcuts?|null
overwrite?boolean
preserve_shortcuts?boolean
shortcuts?|null

Response Body

OK

application/json
  1. response
aliases*
apply*
available_scopes*array<>
commands*array<>
config*
[...]
